Subject: Re: Why Xfixes is conflict with native xcursor? (pkg/32317)
To: None <>
From: Aaron J. Grier <>
List: tech-pkg
Date: 01/03/2006 18:02:06
On Sun, Dec 25, 2005 at 11:10:26PM +0800, Rui-Xiang Guo wrote:
> Hi, all.
> I found such condition in xcursor/ -
> [...]
> .if defined(USE_BUILTIN.Xfixes) && !empty(USE_BUILTIN.Xfixes:M[nN][oO])
> USE_BUILTIN.xcursor=	no
> .endif
> [...]
> Is there anyone know the reason?
> I used native Xfree on NetBSD and we don't have native Xfixes. We have to
> install it from pkgsrc and that condition is always be true.
> I set USE_BUILTIN.xcursor=yes in /etc/mk.conf, then it will get the strange
> result when we have Xfixes and xcursor in the same time(e.g. gtk2).
> This is also the cause of PR 32317. After I comment those three lines, it
> fixes the problem.

nobody seems to have any concerns.  I've also had those commented out in
my file as well, and haven't run into any problems, even
after repeated updates to gtk2 and firefox.

submit a PR!

  Aaron J. Grier | "Not your ordinary poofy goof." |
              "silly brewer, saaz are for pils!"  --  virt